### Method

# Ide EditorSearch get_replacement_text

#### Declaration

    const gchar*
    ide_editor_search_get_replacement_text (
      IdeEditorSearch* self
    )

#### Description

Gets the `IdeEditorSearch:replacement-text` property. This is the text that will be used when calling `ide_editor_search_replace()` or ide_editor_search_replace_all().

Available since: | 3.32

Gets property | `Ide.EditorSearch:replacement-text`

#### Return value

Returns: | `const gchar*`
| The replacement text, or `NULL`.
| The data is owned by the instance.
| The return value can be `NULL`.
| The value is a NUL terminated UTF-8 string.